## ros-bouncy-laser-geometry 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(laser_geometry)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)

find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(Eigen3 REQUIRED)

# TODO(dhood): enable python support once ported to ROS 2
# catkin_python_setup()

include_directories(include
    ${rclcpp_INCLUDE_DIRS}
    ${sensor_msgs_INCLUDE_DIRS}
    ${tf2_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
)

add_library(laser_geometry SHARED src/laser_geometry.cpp)
target_link_libraries(laser_geometry
    ${rclcpp_LIBRARIES}
    ${sensor_msgs_LIBRARIES}
    ${tf2_LIBRARIES}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(laser_geometry PRIVATE "LASER_GEOMETRY_BUILDING_LIBRARY")

ament_export_include_directories(include)
ament_export_interfaces(laser_geometry)
ament_export_libraries(laser_geometry)

install(
  TARGETS laser_geometry
  EXPORT laser_geometry
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  # TODO(Martin-Idel-SI): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)

  ament_add_gtest(projection_test
    test/projection_test.cpp
    TIMEOUT 180)
  if(TARGET projection_test)
    target_link_libraries(projection_test laser_geometry)
  endif()
endif()

ament_package(CONFIG_EXTRAS laser_geometry-extras.cmake)

=== debian/changelog ===
ros-bouncy-laser-geometry (2.0.0-0bionic) bionic; urgency=high

  * Removed the ``angle`` dependency as no longer necessary.
  * Updated to build statically but use position independent code.
  * Updated to compile, and to remove PointCloud support, and remove boost.
  * Added visibility headers modified from ``rclcpp``.
  * Updated ``laser_geometry`` to build for ros2 (and on Windows 10).
  * Improved use of numpy. (#14 <https://github.com/ros-perception/laser_geometry/issues/14>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Brian Fjeldstad, Eric Wieser, Jon Binney, Jonathan Binney, Martin Idel, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-laser-geometry (1.6.4-0bionic) bionic; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- William Woodall <william@osrfoundation.org>  Mon, 18 May 2015 07:00:00 -0000

ros-bouncy-laser-geometry (1.6.3-0bionic) bionic; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- William Woodall <william@osrfoundation.org>  Sat, 07 Mar 2015 08:00:00 -0000

ros-bouncy-laser-geometry (1.6.2-0bionic) bionic; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- William Woodall <william@osrfoundation.org>  Sun, 08 Jun 2014 07:00:00 -0000

ros-bouncy-laser-geometry (1.6.1-0bionic) bionic; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-bouncy-laser-geometry (1.6.0-0bionic) bionic; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-bouncy-laser-geometry (1.5.15-0bionic) bionic; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- William Woodall <william@osrfoundation.org>  Mon, 02 Dec 2013 08:00:00 -0000

ros-bouncy-laser-geometry (1.5.14-0bionic) bionic; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- William Woodall <william@osrfoundation.org>  Mon, 04 Nov 2013 08:00:00 -0000

ros-bouncy-laser-geometry (1.5.13-0bionic) bionic; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- William Woodall <william@osrfoundation.org>  Sun, 06 Oct 2013 07:00:00 -0000

ros-bouncy-laser-geometry (1.5.12-0bionic) bionic; urgency=high

  * fix case of Eigen find_package name

 -- William Woodall <william@osrfoundation.org>  Sat, 14 Sep 2013 07:00:00 -0000

ros-bouncy-laser-geometry (1.5.11-0bionic) bionic; urgency=high

  * added missing run deps

 -- William Woodall <william@osrfoundation.org>  Mon, 01 Jul 2013 07:00:00 -0000

ros-bouncy-laser-geometry (1.5.10-0bionic) bionic; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 22:09:00 -0000

ros-bouncy-laser-geometry (1.5.9-0bionic) bionic; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 18:38:00 -0000

ros-bouncy-laser-geometry (1.5.8-0bionic) bionic; urgency=high

  * Added buildtool_depend on catkin

 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 21:54:00 -0000

ros-bouncy-laser-geometry (1.5.7-0bionic) bionic; urgency=high

  * CMake clean up

 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 21:48:00 -0000

ros-bouncy-laser-geometry (1.5.6-0bionic) bionic; urgency=high

  * Removed vestigial manifest.xml

 -- William Woodall <william@osrfoundation.org>  Mon, 10 Dec 2012 08:00:00 -0000

ros-bouncy-laser-geometry (1.5.5-0bionic) bionic; urgency=high

  * Added .count field (of 1) to every PointCloud2 field description.
    This fixes the bug referred to here: http://dev.pointclouds.org/issues/821 which is useful because that fix in PCL
    seems not to be released yet.
    Also this way is more correct, as far as I can tell.
  * Tidied up CMakeLists.txt based on Dirk's recommendations.

 -- William Woodall <william@osrfoundation.org>  Thu, 15 Nov 2012 08:00:00 -0000

ros-bouncy-laser-geometry (1.5.4-0bionic) bionic; urgency=high

  * added install rules to CMakeLists.txt needed for catkinization.
  * catkinized

 -- William Woodall <william@osrfoundation.org>  Wed, 10 Oct 2012 07:00:00 -0000

=== debian/control ===
Source: ros-bouncy-laser-geometry
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-cppcheck, ros-bouncy-ament-cmake-cpplint, ros-bouncy-ament-cmake-gmock, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-lint-cmake, ros-bouncy-ament-cmake-uncrustify, ros-bouncy-rclcpp, ros-bouncy-sensor-msgs, ros-bouncy-tf2, ros-bouncy-ros-workspace
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-bouncy-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-bouncy-ament-cmake, ros-bouncy-rclcpp, ros-bouncy-sensor-msgs, ros-bouncy-tf2, ros-bouncy-ros-workspace
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-laser-geometry//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
